This patch sets the OS variable according to the CHOST given by the environment,
thus enabling cross-compilation.

Index: herrie-1.8/configure
===================================================================
--- herrie-1.8.orig/configure
+++ herrie-1.8/configure
@@ -50,6 +50,21 @@ CFG_VORBIS=yes
 CFG_XSPF=yes
 DOIT=@
 
+case "$CHOST" in
+  *-darwin*)
+	OS=Darwin
+	;;
+  *-linux*)
+	OS=Linux
+	;;
+  *-freebsd*)
+	OS=FreeBSD
+	;;
+  *-solaris*)
+	OS=SunOS
+	;;
+esac
+
 # Operating system defaults
 [ "$OS" != "" ] || OS=`uname`
 case $OS in
